podman-kube(1)

NAME

podman-kube - Play containers, pods or volumes based on a structured input file

SYNOPSIS

podman kube subcommand

DESCRIPTION

The kube command recreates containers, pods or volumes based on the input from a structured (like YAML) file input. Containers are automatically started.

COMMANDS
Command | Man Page | Description
apply | podman-kube-apply(1) | Apply Kubernetes YAML based on containers, pods, or volumes to a Kubernetes cluster
down | podman-kube-down(1) | Remove containers and pods based on Kubernetes YAML.
generate | podman-kube-generate(1) | Generate Kubernetes YAML based on containers, pods or volumes.
play | podman-kube-play(1) | Create containers, pods and volumes based on Kubernetes YAML.

SEE ALSO

podman(1), podman-pod(1), podman-container(1), podman-kube-play(1), podman-kube-down(1), podman-kube-generate(1), podman-kube-apply(1)

HISTORY

December 2018, Originally compiled by Brent Baude (bbaude at redhat dot com)